<!-- Main Content -->
<div class="container-fluid">
	<div class="side-body">
		<div class="page-title">
			<span class="title">Order #<%= @bids.id %> </span>
		</div>
		<div class="row">
			<div class="col-xs-12">
				<div class="card">
					<div class="card-body">
						<%= form_for @bids, :url => { :action => "update" }, :html => { :method => 'put' } do |form| %>
						<% if @bids.errors.any? %>
						<div class="alert fresh-color alert-danger" role="alert">
							<ul>
								<% @bids.errors.full_messages.each do |message| %>
								<li>
									<strong><%= message %></strong>
								</li>
								<% end %>
							</ul>
						</div>
						<% end %>

						<div class="form-group">
						  <label for="status">Status Pemesanan</label>
						  <select class="form-control" name="order[status]">
								<% @status.each do |s| %>
									<% if @bids.status == s %>
										<option selected><%= s %></option>
									<% else %>
										<option><%= s %></option>
									<% end %>
								<% end %>
						  </select>
						</div>

						<div class="sub-title">Tanggal Pemesanan</div>
						<div class="form-group">
							<div class='input-group'>
								<%= form.text_field :created_at, class: 'form-control', readonly: true %>
							</div>
						</div>

            <div class="sub-title">Nama</div>
						<div class="form-group">
							<div class='input-group'>
								<%= form.text_field :name, class: 'form-control', readonly: true %>
							</div>
						</div>

            <div class="sub-title">Nomor Tlp</div>
						<div class="form-group">
							<div class='input-group'>
								<%= form.text_field :phone_number, class: 'form-control', readonly: true %>
							</div>
						</div>

            <div class="sub-title">Email</div>
						<div class="form-group">
							<div class='input-group'>
								<%= form.text_field :email, class: 'form-control', readonly: true %>
							</div>
						</div>

            <div class="sub-title">Alamat</div>
						<div class="form-group">
							<div class='input-group'>
								<%= form.text_area :address, class: 'form-control', readonly: true %>
							</div>
						</div>

						<div class="clearfix"></div>
						<br>
						<div class="panel panel-default">
							 <div class="panel-heading" role="tab" id="headingOne">
								 <h4 class="panel-title">
									 <a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
										 <span class="glyphicon glyphicon-list" aria-hidden="true"></span>&nbsp; Data Pemesanan
									 </a>
								 </h4>
							 </div>
							 <div id="collapseOne" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="headingOne">
									<div class="panel-body">
										<div class="clearfix"></div>
										<%= form.fields_for :items do |ff| %>
											<%= ff.hidden_field :id, :value => ff.object.id %>
											<%= ff.hidden_field :property_id, :value => ff.object.property_id %>
											<div class="sub-title"><%= ff.object.try(:property).try(:name).try(:capitalize) %> (<%= ff.object.try(:property).try(:code) %>)</div>
											<div class="form-group">
												<label class="col-sm-1">Jumlah Kg</label>
												<div class="col-sm-4">
													<%= ff.number_field :total_kg, class: 'form-control', placeholder: 'Jumlah Kg', readonly: true  %>
												</div>
											</div>
											<div class="clearfix"></div>
										<% end %>
							 	 	</div>
							 </div>
						</div>
						<div class="clearfix"></div>
						<%= link_to 'Back', admin_bids_path, class: "btn btn-sm btn-default" %>
						<button type="submit" class="btn btn-sm btn-info">Submit</button>
						<% end %>
					</div>
				</div>
			</div>
		</div>
	</div>
	<script type="text/javascript">
		$(function () {
			$('#datetimepicker1').datetimepicker({format: "DD-MM-YYYY HH:mm", defaultDate: moment().format("YYYY-MM-DD HH:mm:ss"), useCurrent: true});
		});
		$('#collapseOne').collapse("hide");
	</script>
